LIBNAME IN  "\\cdc.gov\private\M728\aed2\Teen Birth Cohorts\DATA";
DATA ONE; 
SET IN.NSFG950210;

ALL = 1;
ALLHERE = .;
IF ALL = 1 AND IMM20PLUS = 2 THEN ALLHERE = 1;		** create SUDAAN SUBPOPN var for sample who spent teen years in US;

**(CORRECT MISSING);
IF MOTHERED = . OR MOTHERED = 95 THEN MOTHERED = 5;

	**** R/E & POB *****;
REIMM = .;
IF HISPRACE2 = 1 THEN DO;
  IF IMMIGRANT = 1 THEN REIMM = 1;
  IF IMMIGRANT = 2 THEN REIMM = 2;
END;
IF HISPRACE2 = 2 THEN REIMM = 3;
IF HISPRACE2 = 3 THEN REIMM = 4;
IF HISPRACE2 = 4 THEN REIMM = 5;
LABEL REIMM = 'R/E & POB (HISPRACE2,BRNOUT)';

LATINA = .;
IF HISPRACE2 = 1 THEN LATINA = 1;
IF HISPRACE2 IN (2,3,4) THEN LATINA = 2;
LABEL LATINA = 'LATINA (HISPRACE2)'; 

NHWHITE = .;
IF HISPRACE2 = 2 THEN NHWHITE = 1;
IF HISPRACE2 IN (1,3,4) THEN NHWHITE = 2;
LABEL NHWHITE = 'NH WHITE (HISPRACE2)'; 

NHBLACK = .;
IF HISPRACE2 = 3 THEN NHBLACK = 1;
IF HISPRACE2 IN (1,2,4) THEN NHBLACK = 2;
LABEL NHBLACK = 'NH BLACK (HISPRACE2)'; 

	**** MOTHER'S AGE @ FIRST BIRTH ****;

MOMB1LT20 = 3;
IF CYCLE = 1 THEN DO;
  IF 9 LE AGEMOMB1 < 20 THEN MOMB1LT20 = 1;
  IF AGEMOMB1 IN (91,92) THEN MOMB1LT20 = 1;
  IF 20 LE AGEMOMB1 < 55 THEN MOMB1LT20 = 2;
  IF AGEMOMB1 IN (93,94) THEN MOMB1LT20 = 2;
END;
IF CYCLE IN (2,3) THEN DO;
  IF AGEMOMB1 IN (1,2) THEN MOMB1LT20 = 1;
  IF AGEMOMB1 IN (3,4,5) THEN MOMB1LT20 = 2;
END;
LABEL MOMB1LT20 = 'MOTHER^S AGE @ BIRTH-1 <20'; 

		** MOTHERHOOD **;
B1AGE3 = .;																	* DEM RESEARCH COMMENT;
IF    0 LE AGEBABY1 < 2000 THEN B1AGE3 = 1;		* TEEN MOM;
IF 2000 LE AGEBABY1 < 2500 THEN B1AGE3 = 2;		* YOUNG ADULT MOM;
IF AGEBABY1 GE 2500 THEN B1AGE3 = 3;			* OLDER ADULT MOM;
LABEL B1AGE3 = 'AGE B1: <20/20-24/25+'; 

					**** BIRTH COHORT ****;
COHORT5660 = 2;
IF YOB IN (1956,1957,1958,1959,1960) THEN COHORT5660 = 1;
COHORT6165 = 2;
IF YOB IN (1961,1962,1963,1964,1965) THEN COHORT6165 = 1;
COHORT6670 = 2; 
IF YOB IN (1966,1967,1968,1969,1970) THEN COHORT6670 = 1;
COHORT7175 = 2;
IF AGE_R > 19 THEN DO;
  IF YOB IN (1971,1972,1973,1974,1975) THEN COHORT7175 = 1;
END;
LABEL COHORT5660 = 'BORN 1956-1960' 		COHORT6165 = 'BORN 1961-1965'		COHORT6670 = 'BORN 1966-1970'		COHORT7175 = 'BORN 1971-1975';			;
 
COHORTS = .;
IF COHORT5660 = 1 THEN COHORTS = 1;			IF COHORT6165 = 1 THEN COHORTS = 2;
IF COHORT6670 = 1 THEN COHORTS = 3;			IF COHORT7175 = 1 THEN COHORTS = 4;
LABEL COHORTS = 'BIRTH COHORTS';

		** ADULT OUTCOMES  **;

WORKFTDV = .;
IF LFPFT = 1 THEN WORKFTDV = 1;
IF LFPFT = 2 THEN WORKFTDV = 0;
LABEL WORKFTDV = 'EMPLOYED FT-DV (LABORFOR)'; 

HSLTHS = .;
IF EDUCATION IN (1,2) THEN HSLTHS = 1;
IF EDUCATION IN (3,4) THEN HSLTHS = 2;
HSLTHSDV = 2 - HSLTHS;
LABEL HSLTHS = '=<HS (HIEDUC)'

PSEDV = .;
IF EDUCATION IN (3,4) THEN PSEDV = 1;
IF EDUCATION IN (1,2) THEN PSEDV = 0;
LABEL PSEDV = 'PSE+-DV (HIEDUC)'; 

SINGLEMOM = .;
IF PARITY > 0 AND MARITAL IN (2,3) THEN SINGLEMOM = 1;			* SINGLE MOTHER;
IF PARITY > 0 AND MARITAL = 1 THEN SINGLEMOM = 2;				* MARRIED MOTHER;
IF PARITY = 0 THEN SINGLEMOM = 3;								* NOT MOTHER;

SINGLEMOMDV = .;
IF SINGLEMOM = 1 THEN SINGLEMOMDV = 1;
IF SINGLEMOM IN (2,3) THEN SINGLEMOMDV = 0;
LABEL SINGLEMOM = 'SINGLE MOM/MARR MOM/NOT MOM (PARITY,MARITAL)'
      SINGLEMOMDV = 'SINGLE MOM-DV (PARITY,MARITAL)';

POOR = .;
IF FPL < 100 THEN POOR = 1;
IF 100 LE FPL < 200 THEN POOR = 2;
IF 200 LE FPL < 400 THEN POOR = 3;
IF FPL > 399 THEN POOR = 4; 
LABEL POOR = 'POVERTY CATEGORIES'; 

POOR200 = .;
IF POOR IN (1,2) THEN POOR200 = 1;
IF POOR IN (3,4) THEN POOR200 = 2;

POOR200DV = 2 - POOR200;
LABEL POOR200 = '<200% FPL'			POOR200DV = '<200% FPL-DV';

WORKFTPOOR = .;
IF LFPFT = 1 THEN DO;
  IF POOR IN (1,2) THEN WORKFTPOOR = 1;
  IF POOR IN (3,4) THEN WORKFTPOOR = 2;
END;
IF LFPFT = 2 THEN DO;
  IF POOR IN (1,2) THEN WORKFTPOOR = 3;
  IF POOR IN (3,4) THEN WORKFTPOOR = 4;
END;
LABEL WORKFTPOOR = 'LFP-FT & POV STATUS'; 

WORKPOORDV = .;
IF WORKPOOR = 1 THEN WORKPOORDV = 1;
IF WORKPOOR = 2 THEN WORKPOORDV = 0;
LABEL WORKPOORDV = 'WORKING & POOR, AMONG EMPLOYED'; 
WORKFTPOORDV = .;
IF WORKFTPOOR = 1 THEN WORKFTPOORDV = 1;
IF WORKFTPOOR = 2 THEN WORKFTPOORDV = 0;
LABEL WORKFTPOORDV = 'WORKING & POOR, AMONG EMPLOYED FT-DV'; 

MOTHERHS = .;
IF MOTHERED IN (1,2) THEN MOTHERHS = 1;
IF MOTHERED IN (3,4) THEN MOTHERHS = 2;
LABEL MOTHERHS = 'MATERNAL EDUC (LE HS/>HS)'; 

PROC FORMAT; VALUE EDM 1='<HS' 2='HS' 3='PSE' 4='BA+' 5='MISSING'; 
			 VALUE HS  1='=<HS' 2='>HS'; 
             VALUE CC  1='1995' 2='2002' 3='2006-10';
			 VALUE YNM 1='YES' 2='NO' 3='MISSING'; 
			 VALUE PR  1='<100%' 2='100-199%' 3='200-399%' 4='=>400%';
			 VALUE WP  1='WORK & <200%' 2='WORK & >199%' 3='NON-WORK & <200%' 4='NON-WORK & >199%'; 
			 VALUE RC  1='LATINA' 2='NH WHITE' 3='NH BLACK' 4='NH OTHER'; 
			 VALUE CH 1='1956-60' 2='1961-65' 3='1966-70' 4='1971-75';
			 VALUE WK 1='WORKING' 2='OOW' 3='OUT OF LF'; 
			 VALUE WT 1='RIGHT TIME' 2='TOO SOON' 3='UNWANTED' 4='OTHER';
			 VALUE SM 1='SINGLE MOM' 2='MARRIED MOM' 3='NOT MOM'; 
			 VALUE MM 1='TEEN MOM' 2='OLDER MOM' 3='NOT MOM'; 
			 VALUE BXX 1='B1 < 20' 2='B1 20-24' 3='B1 25+'; 

PROC SORT; BY SEST SECU; RUN;

**** TABLE 1 ****;
PROC DESCRIPT DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 AND B1AGE3=3;
VAR AGE_R AGEBABY1;                                                       
SUBGROUP COHORTS;       
LEVELS   4;          
TABLES  COHORTS;  
RFORMAT COHORTS CH.; 
PRINT NSUM TOTAL MEAN SEMEAN / STYLE=NCHS;
TITLE "TABLE 1. MEAN AGE & AGE B1 BY COHORTS ";      RUN;
PROC DESCRIPT DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 AND B1AGE3=3;
VAR AGE_R AGEBABY1;                                                          
SUBGROUP COHORTS;       
LEVELS   4;   
PAIRWISE COHORTS;     
PRINT NSUM WSUM MEAN="DIFFERENCE" SEMEAN="SE" T_MEAN="T-TEST" P_MEAN="P-VALUE"
    / MEANFMT = F10.4 SEMEANFMT = F6.4 T_MEANFMT=F6.4 STYLE=NCHS;		RUN;

PROC CROSSTAB DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0;
SUBGROUP CYCLE COHORTS B1AGE3;
LEVELS   3     4       3;
TABLES COHORTS*CYCLE B1AGE3*(COHORTS*CYCLE);
RFORMAT COHORTS CH.;
RFORMAT B1AGE3 BXX.;
TEST CHISQ LLCHISQ;
PRINT NSUM WSUM COLPER ROWPER SEROW  ;
PRINT/STEST=DEFAULT STYLE=NCHS;
TITLE "TABLE 1. NSFG CYCLE BY COHORT "; RUN; 

**** TABLE 2 ****;
PROC CROSSTAB DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 AND B1AGE3=3;
SUBGROUP COHORTS HISPRACE2 MOMB1LT20 MOTHERHS PARENTS NHWHITE LATINA NHBLACK; 
LEVELS   4       4         2         2        2       2       2      2 ;
TABLES COHORTS*(HISPRACE2 MOMB1LT20 MOTHERHS PARENTS NHWHITE LATINA NHBLACK);
RFORMAT COHORTS CH.;
RFORMAT TEENB20 PARENTS MOMB1LT20 MOTHERHS NHWHITE LATINA NHBLACK YNM.;
RFORMAT HISPRACE2 RC.; 
TEST CHISQ LLCHISQ TCMH;
PRINT NSUM WSUM COLPER ROWPER SEROW ;
PRINT/STEST=DEFAULT ATEST=DEFAULT STYLE=NCHS;
TITLE "TABLE 2. TREND TESTS FOR TEEN MOMS "; RUN; 

PROC CROSSTAB DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0;
SUBGROUP COHORTS B1AGE3 HISPRACE2 MOMB1LT20 MOTHERHS PARENTS NHWHITE LATINA NHBLACK; 
LEVELS   4       3      4         2         2        2       2       2      2 ;
TABLES COHORTS*(B1AGE3*(HISPRACE2 MOMB1LT20 MOTHERHS PARENTS NHWHITE LATINA NHBLACK));
RFORMAT COHORTS CH.;
RFORMAT PARENTS MOMB1LT20 MOTHERHS NHWHITE LATINA NHBLACK YNM.;
RFORMAT B1AGE3 BXX.;
RFORMAT HISPRACE2 RC.; 
TEST CHISQ LLCHISQ ;
PRINT NSUM WSUM COLPER ROWPER SEROW ;
PRINT/STEST=DEFAULT STYLE=NCHS;
TITLE "TABLE 2. PREDICTORS BY COHORT "; RUN; 

**** TABLE 3 ****;
PROC CROSSTAB DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 AND B1AGE3=3;
SUBGROUP COHORTS LFPFT HSLTHS POOR200 WORKFTPOOR SINGLEMOM; 
LEVELS   4       2     2      2       2          2;
TABLES COHORTS*(LFPFT HSLTHS POOR200 WORKFTPOOR SINGLEMOM);
RFORMAT COHORTS CH.;
RFORMAT HSLTHS POOR200 LFPFT WORKFTPOOR YN.;
RFORMAT SINGLEMOM SM.;
TEST CHISQ LLCHISQ TCMH;
PRINT NSUM WSUM COLPER ROWPER SEROW  ;
PRINT/STEST=DEFAULT ATEST=DEFAULT STYLE=NCHS;
TITLE "TABLE 3. OUTCOMES AMONG NON-TEEN MOMS BY COHORT"; RUN; 

PROC CROSSTAB DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 ;
SUBGROUP COHORTS B1AGE3 LFPFT HSLTHS POOR200 WORKFTPOOR SINGLEMOM; 
LEVELS   4       2      2     2      2       2          2;
TABLES COHORTS*(B1AGE3*(LFPFT HSLTHS POOR200 WORKFTPOOR SINGLEMOM));
RFORMAT COHORTS CH.;
RFORMAT B1AGE3 BXX.;
RFORMAT HSLTHS POOR200 LFPFT WORKFTPOOR YN.;
RFORMAT SINGLEMOM SM.;
TEST CHISQ LLCHISQ;
PRINT NSUM WSUM COLPER ROWPER SEROW  ;
PRINT/STEST=DEFAULT STYLE=NCHS;
TITLE "TABLE 3. OUTCOMES AMONG TEEN & NON-TEEN MOMS BY COHORT"; RUN; 

*** TABLE 4 ***;
PROC RLOGIST DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 AND B1AGE3=3 ;
SUBGROUP COHORTS REIMM MOMB1LT20 MOTHERED PARENTS ;
LEVELS   4       5     3         4        2 ;    
REFLEVEL COHORTS=1 REIMM=3 MOMB1LT20=2 MOTHERED=1;
EFFECTS COHORTS=(-3 -1 1 3)/NAME="LINEAR TREND"; 
EFFECTS COHORTS=(-1 -1 1 1)/NAME="STEP TREND"; 
EFFECTS COHORTS=(-1 1 -1 1)/NAME="DOWN & UP TREND"; 
RFORMAT COHORTS CH.; 
RFORMAT MOTHERED EDM.;   
RFORMAT PARENTS MOMB1LT20 YNM.;
RFORMAT REIMM RCI.; 
MODEL WORKFTPOORDV = COHORTS AGE_R MOTHERED PARENTS MOMB1LT20 REIMM AGEBABY1;                 
PRINT SATADJDF SATADJF SATADJP / BETAS=ALL RISK=ALL BETAFMT=F10.3 DEFTFMT=F8.3 SEBETAFMT=F10.3 ORFMT=F10.3 STYLE=NCHS;
TITLE "TABLE 4. PREDICT ADULT DV BY COHORT AMONG NON-TEEN MOMS + AGE + BCKGRND";		RUN;

PROC RLOGIST DATA=ONE FILETYPE=SAS DESIGN=WR;			** ADDING MARITAL STATUS & EDUCATION **;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 AND B1AGE3=3;
SUBGROUP COHORTS REIMM MOMB1LT20 MOTHERED PARENTS SINGLEMOM EDUCATION;
LEVELS   4       5     3         4        2       2         4;    
REFLEVEL COHORTS=1 REIMM=3 MOMB1LT20=2 MOTHERED=1 EDUCATION=1;
EFFECTS COHORTS=(-3 -1 1 3)/NAME="LINEAR TREND"; 
EFFECTS COHORTS=(-1 -1 1 1)/NAME="STEP TREND"; 
EFFECTS COHORTS=(-1 1 -1 1)/NAME="DOWN & UP TREND"; 
RFORMAT COHORTS CH.; 
RFORMAT MOTHERED EDUCATION EDM.;   
RFORMAT PARENTS MOMB1LT20 YNM.;
RFORMAT REIMM RCI.; 
RFORMAT SINGLEMOM SM.;
MODEL WORKFTPOORDV = COHORTS AGE_R MOTHERED PARENTS MOMB1LT20 REIMM SINGLEMOM EDUCATION AGEBABY1;                 
PRINT SATADJDF SATADJF SATADJP / BETAS=ALL RISK=ALL BETAFMT=F10.3 DEFTFMT=F8.3 SEBETAFMT=F10.3 ORFMT=F10.3 STYLE=NCHS;
TITLE "TABLE 4. PREDICT ADULT DV  BY COHORT AMONG NON-TEEN MOMS + AGE + BCKGRND + ED & MS";		RUN;

*** TABLE 5 ***;
PROC RLOGIST DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 ;
SUBGROUP COHORTS TEENB20 REIMM MOMB1LT20 MOTHERED PARENTS ;
LEVELS   4       2       5     3         4        2       ;    
REFLEVEL COHORTS=4 TEENB20=2 REIMM=3 MOMB1LT20=2 MOTHERED=1;
RFORMAT COHORTS CH.; 
RFORMAT MOTHERED EDM.;   
RFORMAT TEENB20 PARENTS MOMB1LT20 YNM.;
RFORMAT REIMM RCI.; 
MODEL SINGLEMOMDV = COHORTS TEENB20 COHORTS*TEENB20 AGE_R MOTHERED PARENTS MOMB1LT20 REIMM ;               
PRINT SATADJDF SATADJF SATADJP / BETAS=ALL RISK=ALL BETAFMT=F10.3 DEFTFMT=F8.3 SEBETAFMT=F10.3 ORFMT=F10.3 STYLE=NCHS;
TITLE "TABLE 5. PREDICT PSE OR MORE BY COHORT x TEEN MOM";		RUN;

PROC RLOGIST DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 ;
SUBGROUP COHORTS B1AGE3 REIMM MOMB1LT20 MOTHERED PARENTS ;
LEVELS   4       2      5     3         4        2       ;    
REFLEVEL COHORTS=4 B1AGE3=2 REIMM=3 MOMB1LT20=2 MOTHERED=1;
RFORMAT COHORTS CH.; 
RFORMAT B1AGE3 BXX.;
RFORMAT MOTHERED EDM.;   
RFORMAT PARENTS MOMB1LT20 YNM.;
RFORMAT REIMM RCI.; 
MODEL SINGLEMOMDV = COHORTS B1AGE3 COHORTS*B1AGE3 AGE_R MOTHERED PARENTS MOMB1LT20 REIMM ;               
PRINT SATADJDF SATADJF SATADJP / BETAS=ALL RISK=ALL BETAFMT=F10.3 DEFTFMT=F8.3 SEBETAFMT=F10.3 ORFMT=F10.3 STYLE=NCHS;
TITLE "TABLE 5. PREDICT PSE OR MORE BY COHORT x TEEN MOM";		RUN;


** ADD EDUC & MS **;
PROC RLOGIST DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 ;
SUBGROUP COHORTS TEENB20 REIMM MOMB1LT20 MOTHERED PARENTS SINGLEMOM EDUCATION;
LEVELS   4       2       5     3         4        2       2         4;    
REFLEVEL COHORTS=4 TEENB20=2 REIMM=3 MOMB1LT20=2 MOTHERED=1 EDUCATION=1;
RFORMAT COHORTS CH.; 
RFORMAT MOTHERED EDUCATION EDM.;   
RFORMAT TEENB20 PARENTS MOMB1LT20 YNM.;
RFORMAT REIMM RCI.; 
RFORMAT SINGLEMOM SM.;
MODEL WORKFTPOORDV = COHORTS TEENB20 COHORTS*TEENB20 AGE_R MOTHERED PARENTS MOMB1LT20 REIMM SINGLEMOM EDUCATION ;               
PRINT SATADJDF SATADJF SATADJP / BETAS=ALL RISK=ALL BETAFMT=F10.3 DEFTFMT=F8.3 SEBETAFMT=F10.3 ORFMT=F10.3 STYLE=NCHS;
TITLE "TABLE 5. PREDICT PSE OR MORE BY COHORT x TEEN MOM";		RUN;

PROC RLOGIST DATA=ONE FILETYPE=SAS DESIGN=WR;
NEST SEST SECU ;
WEIGHT FINALWT;   
SUBPOPN ALLHERE=1 AND AGE_R>24 AND PARITY>0 ;
SUBGROUP COHORTS B1AGE3 REIMM MOMB1LT20 MOTHERED PARENTS SINGLEMOM EDUCATION;
LEVELS   4       2      5     3         4        2       2         4;    
REFLEVEL COHORTS=4 B1AGE3=2 REIMM=3 MOMB1LT20=2 MOTHERED=1 EDUCATION=1;
RFORMAT COHORTS CH.; 
RFORMAT B1AGE3 BXX.;
RFORMAT MOTHERED EDUCATION EDM.;   
RFORMAT PARENTS MOMB1LT20 YNM.;
RFORMAT REIMM RCI.; 
RFORMAT SINGLEMOM SM.;
MODEL WORKFTPOORDV = COHORTS B1AGE3 COHORTS*B1AGE3 AGE_R MOTHERED PARENTS MOMB1LT20 REIMM SINGLEMOM EDUCATION ; 
PRINT SATADJDF SATADJF SATADJP / BETAS=ALL RISK=ALL BETAFMT=F10.3 DEFTFMT=F8.3 SEBETAFMT=F10.3 ORFMT=F10.3 STYLE=NCHS;
TITLE "TABLE 5. PREDICT PSE OR MORE BY COHORT x TEEN MOM";		RUN;
